Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025199
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-11-21 17:402013-12-20 15:13
ReportersureshbabuView Statuspublic 
Assigned Tomarvintm 
PriorityhighResolutionfixedFixed in VersionRMP29
StatusclosedFix in branchpiFixed in SCM revision1a13e801ada8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomalsasua
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025199: Return Receipt: Return receipt wrongly moves to Errors while importing POS Data window when the user unselect the return reason

DescriptionReturn receipt wrongly moves to Errors while importing POS Data window when the user un-select the return reason after selecting the reason.
Steps To Reproduce1) create a receipt and complete it
2) Create a Return receipt using the above created receipt id
3) Then assign a return reason by selecting a line item
4) Then again unselect the reason and then complete the Return receipt

Defect: Right now instead of creating Return Receipt, ERP system takes the record to Errors while importing POS Data window

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062408)
hgbot (developer)
2013-11-27 13:15

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 1a13e801ada814ef164344d3b9be05ee314d0ead
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Nov 27 13:15:24 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/1a13e801ada814ef164344d3b9be05ee314d0ead [^]

Fixed issue 25199. When the return reason is unselected, the order will still be saved correctly

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/editline.js
---
(0062431)
malsasua (developer)
2013-11-28 10:21

verified
(0062447)
malsasua (developer)
2013-11-28 15:50

changed to fixed version RMP29
(0062448)
malsasua (developer)
2013-11-28 15:51

changed to fixed in version RMP29
(0062519)
hgbot (developer)
2013-12-04 17:06

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: 1a13e801ada814ef164344d3b9be05ee314d0ead
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Nov 27 13:15:24 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/1a13e801ada814ef164344d3b9be05ee314d0ead [^]

Fixed issue 25199. When the return reason is unselected, the order will still be saved correctly

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/editline.js
---
(0062589)
hgbot (developer)
2013-12-05 12:13

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 1a13e801ada814ef164344d3b9be05ee314d0ead
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Nov 27 13:15:24 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/1a13e801ada814ef164344d3b9be05ee314d0ead [^]

Fixed issue 25199. When the return reason is unselected, the order will still be saved correctly

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/editline.js
---
(0062640)
guilleaer (developer)
2013-12-05 17:21

Reclosing
(0062917)
hgbot (developer)
2013-12-19 19:48

Repository: erp/pmods/org.openbravo.retail.posterminal.offline
Changeset: 1a13e801ada814ef164344d3b9be05ee314d0ead
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Nov 27 13:15:24 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/1a13e801ada814ef164344d3b9be05ee314d0ead [^]

Fixed issue 25199. When the return reason is unselected, the order will still be saved correctly

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/editline.js
---
(0063017)
guilleaer (developer)
2013-12-20 15:13

reclosed

- Issue History
Date Modified Username Field Change
2013-11-21 17:40 sureshbabu New Issue
2013-11-21 17:40 sureshbabu Assigned To => marvintm
2013-11-21 17:40 sureshbabu Triggers an Emergency Pack => No
2013-11-27 13:15 hgbot Checkin
2013-11-27 13:15 hgbot Note Added: 0062408
2013-11-27 13:15 hgbot Status new => resolved
2013-11-27 13:15 hgbot Resolution open => fixed
2013-11-27 13:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/1a13e801ada814ef164344d3b9be05ee314d0ead [^]
2013-11-28 10:21 malsasua Review Assigned To => malsasua
2013-11-28 10:21 malsasua Note Added: 0062431
2013-11-28 10:21 malsasua Status resolved => closed
2013-11-28 10:21 malsasua Fixed in Version => RMP30
2013-11-28 15:50 malsasua Note Added: 0062447
2013-11-28 15:50 malsasua Status closed => new
2013-11-28 15:50 malsasua Resolution fixed => open
2013-11-28 15:50 malsasua Fixed in Version RMP30 =>
2013-11-28 15:50 malsasua Status new => scheduled
2013-11-28 15:50 malsasua fix_in_branch => pi
2013-11-28 15:50 malsasua Status scheduled => resolved
2013-11-28 15:50 malsasua Resolution open => fixed
2013-11-28 15:51 malsasua Note Added: 0062448
2013-11-28 15:51 malsasua Status resolved => closed
2013-11-28 15:51 malsasua Fixed in Version => RMP29
2013-12-04 17:06 hgbot Checkin
2013-12-04 17:06 hgbot Note Added: 0062519
2013-12-04 17:06 hgbot Status closed => resolved
2013-12-04 17:06 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/1a13e801ada814ef164344d3b9be05ee314d0ead [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/1a13e801ada814ef164344d3b9be05ee314d0ead [^]
2013-12-05 12:13 hgbot Checkin
2013-12-05 12:13 hgbot Note Added: 0062589
2013-12-05 12:13 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/1a13e801ada814ef164344d3b9be05ee314d0ead [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/1a13e801ada814ef164344d3b9be05ee314d0ead [^]
2013-12-05 17:21 guilleaer Note Added: 0062640
2013-12-05 17:21 guilleaer Status resolved => closed
2013-12-19 19:48 hgbot Checkin
2013-12-19 19:48 hgbot Note Added: 0062917
2013-12-19 19:48 hgbot Status closed => resolved
2013-12-19 19:48 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/1a13e801ada814ef164344d3b9be05ee314d0ead [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/1a13e801ada814ef164344d3b9be05ee314d0ead [^]
2013-12-20 15:13 guilleaer Note Added: 0063017
2013-12-20 15:13 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker